rte_table_action_ipv4_header(3)

NAME
rte_table_action_ipv4_header

SYNOPSIS

#include <rte_table_action.h>

  Data Fields

uint32_t sa
uint32_t da
uint8_t dscp
uint8_t ttl

Detailed Description

Pre-computed IPv4 header fields for encapsulation action.

Definition at line 414 of file rte_table_action.h.

Field Documentation

  uint32_t sa
Source address.

Definition at line 415 of file rte_table_action.h.

  uint32_t da
Destination address.

Definition at line 416 of file rte_table_action.h.

  uint8_t dscp
DiffServ Code Point (DSCP).

Definition at line 417 of file rte_table_action.h.

  uint8_t ttl
Time To Live (TTL).

Definition at line 418 of file rte_table_action.h.

Author

Generated automatically by Doxygen for DPDK from the source code.